Bug 329018 - Colour Picker doesn't work after undo
Summary: Colour Picker doesn't work after undo
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: 2.9 Beta
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-20 00:07 UTC by Chris Jones
Modified: 2013-12-28 14:52 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Jones 2013-12-20 00:07:52 UTC
Eyedropper tool fails to activate after undoing an action and continuing to hold the control key.  Previously this was not the case, and it now means additional keystrokes when searching for a specific colour.

Steps:
1. Draw a stroke
2. Press Ctrl-Z, let go of the Z key, and while holding Ctrl key try to select another colour.

2.7.9.1, Win 8 64 bit
Comment 1 Dmitry Kazakov 2013-12-20 19:13:08 UTC
Hi, Chris!

Thank you for a nice catch!

I've just prepared a fix for it, but I will be able to push it to master a bit later.
Comment 2 Dmitry Kazakov 2013-12-22 09:53:49 UTC
Git commit e9ed34b5064ce9481d46ce7ab7fb1fe29d1695c0 by Dmitry Kazakov.
Committed on 20/12/2013 at 19:07.
Pushed by dkazakov into branch 'master'.

Fix the Color-Picking after a system shortcut

M  +1    -0    krita/ui/input/kis_input_manager.cpp

http://commits.kde.org/calligra/e9ed34b5064ce9481d46ce7ab7fb1fe29d1695c0
Comment 3 Dmitry Kazakov 2013-12-23 05:46:21 UTC
Git commit 76cb684c27398939ad551ee0b3f8d6f09b9678e1 by Dmitry Kazakov.
Committed on 23/12/2013 at 05:44.
Pushed by dkazakov into branch 'master'.

Properly fix color-picking-after-ctrl-z bug

The ShortcutOverride event is always followed by KeyPress
event so there is no need to process both of them.

M  +1    -1    krita/ui/input/kis_input_manager.cpp

http://commits.kde.org/calligra/76cb684c27398939ad551ee0b3f8d6f09b9678e1
Comment 4 Dmitry Kazakov 2013-12-28 14:52:56 UTC
Git commit bd9a96b62b3403947f33df2aecc639728891fd5d by Dmitry Kazakov.
Committed on 23/12/2013 at 05:44.
Pushed by dkazakov into branch 'calligra/2.8'.

Properly fix color-picking-after-ctrl-z bug

The ShortcutOverride event is always followed by KeyPress
event so there is no need to process both of them.

M  +1    -1    krita/ui/input/kis_input_manager.cpp

http://commits.kde.org/calligra/bd9a96b62b3403947f33df2aecc639728891fd5d